
Redmine - Defect #35131

Issue import - allow auto mapping for Unique ID and relation type fields

2021-04-20 06:00 - Zoltán Filep

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version: 4.2.1   

Resolution: Fixed Affected version: 4.2.0

Description

Auto field mapping feature is absolutely awesome!

It works fine for all custom fields, but the mapping fails for 'Unique ID'. What can be wrong?

I would kindly appreciate any help!

Related issues:

Related to Redmine - Feature #22913: Auto-select fields mapping in Importing Closed

Associated revisions

Revision 20968 - 2021-04-23 05:53 - Go MAEDA

Allow Unique ID and relation fields to be auto mapped (#35131).

Patch by Marius BALTEANU.

Revision 20969 - 2021-04-23 05:57 - Go MAEDA

Merged r20968 from trunk to 4.2-stable (#35131).

History

#1 - 2021-04-20 08:17 - Marius BĂLTEANU

- Status changed from New to Confirmed

- Assignee set to Marius BĂLTEANU

- Target version set to 4.2.1

Thanks Zoltán for reporting this issue, it seems that it was not implemented.

It will be fixed it in the upcoming 4.2.1.

#2 - 2021-04-20 21:08 - Marius BĂLTEANU

- Related to Feature #22913: Auto-select fields mapping in Importing added

#3 - 2021-04-22 23:10 - Marius BĂLTEANU

- File 0001-Allow-Unique-ID-and-relation-fields-to-be-auto-mappe.patch added

- Subject changed from Issue import - field mapping -unique id auto-maping fails to Issue import - allow auto mapping for Unique ID and relation type

fields

- Assignee deleted (Marius BĂLTEANU)

Here is the patch to fix the auto mapping for Unique ID field and also for relation type fields.

#4 - 2021-04-23 05:57 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.
https://www.redmine.org/versions/165


Files

ImportIssue_2.PNG 20.7 KB 2021-04-20 Zoltán Filep

ImportIssue_3.PNG 52.2 KB 2021-04-20 Zoltán Filep

ImportIssue_1.PNG 41.6 KB 2021-04-20 Zoltán Filep

0001-Allow-Unique-ID-and-relation-fields-to-be-auto-mappe.patch 3.28 KB 2021-04-22 Marius BĂLTEANU
